<?php
/**
 * @copyright (c) Kufer Software GmbH, Loisachstrasse 4, D-84453 Mühldorf
 */

$sortId = 4;
$toolId = \ToolsAPI::TOOL_ANMELDUNGBUCHEN_FA;

$settingsArray = array();

$setting = new Setting();
$setting->name = 'sortdownloads';
$setting->description = 'Erstes Sortierkriterium für Downloads';
$setting->help = '';
$setting->subGroup = 'Reiter Downloads';
$setting->toolId = $toolId;
$setting->config->loadConfiguration(SC_RADIO);
$setting->config->items = array(
  'reihenfolge' => 'Reihenfolge aus KuferSQL',
  'bezeichnung' => 'Bezeichnung',
  'autoram' => 'Hochladedatum'
);
array_push($settingsArray, $setting);

$setting = new Setting();
$setting->name = 'sortdownloadsasc';
$setting->description = 'Erstes Sortierkriterium auf- oder absteigend';
$setting->help = '';
$setting->subGroup = 'Reiter Downloads';
$setting->toolId = $toolId;
$setting->config->loadConfiguration(SC_RADIO);
$setting->config->items = array(
  '1' => 'aufsteigend',
  '' => 'absteigend'
);
array_push($settingsArray, $setting);

$setting = new Setting();
$setting->name = 'sortdownloads2';
$setting->description = 'Zweites Sortierkriterium für Downloads';
$setting->help = '';
$setting->subGroup = 'Reiter Downloads';
$setting->toolId = $toolId;
$setting->config->loadConfiguration(SC_RADIO);
$setting->config->items = array(
  'reihenfolge' => 'Reihenfolge aus KuferSQL',
  'bezeichnung' => 'Bezeichnung',
  'autoram' => 'Hochladedatum'
);
array_push($settingsArray, $setting);

$setting = new Setting();
$setting->name = 'sortdownloadsasc2';
$setting->description = 'Zweites Sortierkriterium auf- oder absteigend';
$setting->help = '';
$setting->subGroup = 'Reiter Downloads';
$setting->toolId = $toolId;
$setting->config->loadConfiguration(SC_RADIO);
$setting->config->items = array(
  '1' => 'aufsteigend',
  '' => 'absteigend'
);
array_push($settingsArray, $setting);